package com.ruoyi.predict.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * WfDaPfErrInterval对象 wf_da_pf_err_interval
 *
 * @author hlf
 * @date 2021-07-07
 */
public class WfDaPfErrInterval extends BaseEntity {
    private static final long serialVersionUID = 1L;

    private Long windplantNo;

    private Long modelNo;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm")
    private Date dataTime;

    private Double maxInterval95;

    private Double maxInterval90;

    private Double maxInterval85;

    private Double maxInterval80;

    private Double maxInterval75;

    private Double maxInterval70;

    private Double maxInterval65;

    private Double maxInterval60;

    private Double maxInterval55;

    private Double maxInterval50;

    private Double minInterval95;

    private Double minInterval90;

    private Double minInterval85;

    private Double minInterval80;

    private Double minInterval75;

    private Double minInterval70;

    private Double minInterval65;

    private Double minInterval60;

    private Double minInterval55;

    private Double minInterval50;

    private Double maxValue;

    private Double minValue;

    private Double avgValue;

    private Double mlValue;

    private Long dataFlag;

    private String modelNos;

    public void setWindplantNo(Long windplantNo) {
        this.windplantNo = windplantNo;
    }

    public Long getWindplantNo() {
        return windplantNo;
    }

    public void setModelNo(Long modelNo) {
        this.modelNo = modelNo;
    }

    public Long getModelNo() {
        return modelNo;
    }

    public void setDataTime(Date dataTime) {
        this.dataTime = dataTime;
    }

    public Date getDataTime() {
        return dataTime;
    }

    public void setMaxInterval95(Double maxInterval95) {
        this.maxInterval95 = maxInterval95;
    }

    public Double getMaxInterval95() {
        return maxInterval95;
    }

    public void setMaxInterval90(Double maxInterval90) {
        this.maxInterval90 = maxInterval90;
    }

    public Double getMaxInterval90() {
        return maxInterval90;
    }

    public void setMaxInterval85(Double maxInterval85) {
        this.maxInterval85 = maxInterval85;
    }

    public Double getMaxInterval85() {
        return maxInterval85;
    }

    public void setMaxInterval80(Double maxInterval80) {
        this.maxInterval80 = maxInterval80;
    }

    public Double getMaxInterval80() {
        return maxInterval80;
    }

    public void setMaxInterval75(Double maxInterval75) {
        this.maxInterval75 = maxInterval75;
    }

    public Double getMaxInterval75() {
        return maxInterval75;
    }

    public void setMaxInterval70(Double maxInterval70) {
        this.maxInterval70 = maxInterval70;
    }

    public Double getMaxInterval70() {
        return maxInterval70;
    }

    public void setMaxInterval65(Double maxInterval65) {
        this.maxInterval65 = maxInterval65;
    }

    public Double getMaxInterval65() {
        return maxInterval65;
    }

    public void setMaxInterval60(Double maxInterval60) {
        this.maxInterval60 = maxInterval60;
    }

    public Double getMaxInterval60() {
        return maxInterval60;
    }

    public void setMaxInterval55(Double maxInterval55) {
        this.maxInterval55 = maxInterval55;
    }

    public Double getMaxInterval55() {
        return maxInterval55;
    }

    public void setMaxInterval50(Double maxInterval50) {
        this.maxInterval50 = maxInterval50;
    }

    public Double getMaxInterval50() {
        return maxInterval50;
    }

    public void setMinInterval95(Double minInterval95) {
        this.minInterval95 = minInterval95;
    }

    public Double getMinInterval95() {
        return minInterval95;
    }

    public void setMinInterval90(Double minInterval90) {
        this.minInterval90 = minInterval90;
    }

    public Double getMinInterval90() {
        return minInterval90;
    }

    public void setMinInterval85(Double minInterval85) {
        this.minInterval85 = minInterval85;
    }

    public Double getMinInterval85() {
        return minInterval85;
    }

    public void setMinInterval80(Double minInterval80) {
        this.minInterval80 = minInterval80;
    }

    public Double getMinInterval80() {
        return minInterval80;
    }

    public void setMinInterval75(Double minInterval75) {
        this.minInterval75 = minInterval75;
    }

    public Double getMinInterval75() {
        return minInterval75;
    }

    public void setMinInterval70(Double minInterval70) {
        this.minInterval70 = minInterval70;
    }

    public Double getMinInterval70() {
        return minInterval70;
    }

    public void setMinInterval65(Double minInterval65) {
        this.minInterval65 = minInterval65;
    }

    public Double getMinInterval65() {
        return minInterval65;
    }

    public void setMinInterval60(Double minInterval60) {
        this.minInterval60 = minInterval60;
    }

    public Double getMinInterval60() {
        return minInterval60;
    }

    public void setMinInterval55(Double minInterval55) {
        this.minInterval55 = minInterval55;
    }

    public Double getMinInterval55() {
        return minInterval55;
    }

    public void setMinInterval50(Double minInterval50) {
        this.minInterval50 = minInterval50;
    }

    public Double getMinInterval50() {
        return minInterval50;
    }

    public void setMaxValue(Double maxValue) {
        this.maxValue = maxValue;
    }

    public Double getMaxValue() {
        return maxValue;
    }

    public void setMinValue(Double minValue) {
        this.minValue = minValue;
    }

    public Double getMinValue() {
        return minValue;
    }

    public void setAvgValue(Double avgValue) {
        this.avgValue = avgValue;
    }

    public Double getAvgValue() {
        return avgValue;
    }

    public void setMlValue(Double mlValue) {
        this.mlValue = mlValue;
    }

    public Double getMlValue() {
        return mlValue;
    }

    public void setDataFlag(Long dataFlag) {
        this.dataFlag = dataFlag;
    }

    public Long getDataFlag() {
        return dataFlag;
    }

    public String getModelNos() {
        return modelNos;
    }

    public void setModelNos(String modelNos) {
        this.modelNos = modelNos;
    }

    /*关联表查询开始*/
    private Double p0;

    private Double value;

    public Double getP0() {
        return p0;
    }

    public void setP0(Double p0) {
        this.p0 = p0;
    }

    public Double getValue() {
        return value;
    }

    public void setValue(Double value) {
        this.value = value;
    }
    /*关联表查询结束*/

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("windplantNo", getWindplantNo())
                .append("modelNo", getModelNo())
                .append("dataTime", getDataTime())
                .append("maxInterval95", getMaxInterval95())
                .append("maxInterval90", getMaxInterval90())
                .append("maxInterval85", getMaxInterval85())
                .append("maxInterval80", getMaxInterval80())
                .append("maxInterval75", getMaxInterval75())
                .append("maxInterval70", getMaxInterval70())
                .append("maxInterval65", getMaxInterval65())
                .append("maxInterval60", getMaxInterval60())
                .append("maxInterval55", getMaxInterval55())
                .append("maxInterval50", getMaxInterval50())
                .append("minInterval95", getMinInterval95())
                .append("minInterval90", getMinInterval90())
                .append("minInterval85", getMinInterval85())
                .append("minInterval80", getMinInterval80())
                .append("minInterval75", getMinInterval75())
                .append("minInterval70", getMinInterval70())
                .append("minInterval65", getMinInterval65())
                .append("minInterval60", getMinInterval60())
                .append("minInterval55", getMinInterval55())
                .append("minInterval50", getMinInterval50())
                .append("maxValue", getMaxValue())
                .append("minValue", getMinValue())
                .append("avgValue", getAvgValue())
                .append("mlValue", getMlValue())
                .append("dataFlag", getDataFlag())
                .toString();
    }
}
